/**
 * EntityClassLivingSubject.java
 *
 * File generated from the medication::EntityClassLivingSubject uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassLivingSubject.
 *
 * 
 */

@XmlType(name = "EntityClassLivingSubject")
@XmlEnum
@XmlRootElement(name = "EntityClassLivingSubject")
public enum EntityClassLivingSubject {
	@XmlEnumValue("LIV")
	LIV("LIV"),
	@XmlEnumValue("PSN")
	PSN("PSN"),
	@XmlEnumValue("NLIV")
	NLIV("NLIV"),
	@XmlEnumValue("ANM")
	ANM("ANM"),
	@XmlEnumValue("MIC")
	MIC("MIC"),
	@XmlEnumValue("PLNT")
	PLNT("PLNT");
	
	private final String value;

    EntityClassLivingSubject(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityClassLivingSubject fromValue(String v) {
        for (EntityClassLivingSubject c: EntityClassLivingSubject.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}